#See https://aka.ms/containerfastmode to understand how Visual Studio uses this Dockerfile to build your images for faster debugging.

FROM mcr.microsoft.com/dotnet/core/aspnet:3.1-buster-slim AS base
WORKDIR /app
EXPOSE 80

FROM mcr.microsoft.com/dotnet/core/sdk:3.1-buster AS build
WORKDIR /src
COPY ["microservices/institute/API.Institute.csproj", "microservices/institute/"]
COPY ["microservices/_layers/domain/Domain.csproj", "microservices/_layers/domain/"]
COPY ["microservices/_layers/data/Data.csproj", "microservices/_layers/data/"]
COPY ["microservices/_layers/common/Common.csproj", "microservices/_layers/common/"]
RUN dotnet restore "microservices/institute/API.Institute.csproj"
COPY . .
WORKDIR "/src/microservices/institute"
RUN dotnet build "API.Institute.csproj" -c Release -o /app/build

FROM build AS publish
RUN dotnet publish "API.Institute.csproj" -c Release -o /app/publish 

FROM base AS final
WORKDIR /app
COPY --from=publish /app/publish .
ENTRYPOINT ["dotnet", "API.Institute.dll"]